;ͻ
; Dp1_2.sc                            
; Driver script for                   
; DataProbe->Table Utility            
; Proteus Software Systems, Inc.      
; (C) Copyright 1986 - 1989           
;ͼ
; Revisions:
;   2/17/89  dropped mem req to 80000 bytes; changed this header
;   4/13/89  allowed access in Version 3.0
;   6/23/89  (DR) added variables product.name, product.version, serial.number
;                                 company.name, copy.right
;   1/5/90   (LMA) remove all references to "shareware," change forms for
;                  ViewTable functions, change copyright notices

PROC DP_main()
  PRIVATE Autolib,Errorproc,x,minmem,product.name,product.version,serial.number,
          company.name,copy.right

  product.name    = "DataProbe->Table Utility"       ;<- No more then 31 characters.
  product.version = "2.0"                            ;<- No more then 6 characters.
  company.name    = "Proteus Software Systems, Inc." ;<- No more then 30 characters.
  copy.right      = "(c) Copyright 1986 - 1990"      ;<- No more then 25 characters.
  serial.number   = "P00001"

  IF Not IsAssigned(DP1_2dir) THEN
    BEEP BEEP
    Quit "You must play the DPROBE script to run DataProbe->Table Utility." 
  ENDIF

  IF IsBlank(DP1_2dir) THEN
    BEEP BEEP
    Quit "Variable 'DP1_2dir' cannot be blank; Please edit DPROBE script." 
  ENDIF
  
  IF SubStr(DP1_2dir,Len(DP1_2dir),1) <> "\\" THEN
    BEEP BEEP
    Quit "Variable 'DP1_2dir' must end with '\\\\'; Please edit DPROBE script."
  ENDIF
  
  IF DirExists(DP1_2dir) = 0 THEN
    BEEP BEEP
    Quit "DataProbe system directory " + DP1_2dir + " does not exist."
  ENDIF

  minmem = 80000
  Autolib   = Dp1_2dir + "Dplib"
  RESET
  CLEAR
  CURSOR OFF

  IF VERSION() < 2 THEN
    BEEP
    MESSAGE "Must be using Paradox 2.0 or greater to run this utility.  Press any key."
    x = GETCHAR()
    RETURN
  ENDIF

  IF minmem > MEMLEFT() THEN
    BEEP
    MESSAGE "Not enough memory.      You have " + STRVAL(MEMLEFT()) +
            " bytes available, you need at least " + Strval(minmem) +
            " bytes. Press any key."
    x = GETCHAR()
    RETURN
  ENDIF

  READLIB Autolib Error_proc
  Errorproc = "Error_proc"
  Data_Dictionary_menu()
ENDPROC

DP_main()
